<?php
if( function_exists('acf_add_local_field_group') ):

    acf_add_local_field_group(array(
        'key' => 'group_546cd8557271d',
        'title' => __('Page Layout', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_546cd877c748e',
                'label' => __('Page layout', 'villenoir'),
                'name' => 'gg_page_layout_select',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the page layout', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 3,
                'choices' => array(
                    'with_left_sidebar' => __('With left sidebar', 'villenoir'),
                    'with_right_sidebar' => __('With right sidebar', 'villenoir'),
                    'no_sidebar' => __('No sidebar', 'villenoir'),
                ),
                'default_value' => 'no_sidebar',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_559664aeaedce',
                'label' => __('Select sidebar', 'villenoir'),
                'name' => 'gg_select_sidebar',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select a sidebar. You can create unlimited sidebars in Appearance >> Theme options.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_546cd877c748e',
                            'operator' => '!=',
                            'value' => 'no_sidebar',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'default-sidebar' => 'Default Sidebar',
                ),
                'default_value' => false,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'page',
                ),
            ),
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'post',
                ),
            ),
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'product',
                ),
            ),
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'tribe_events',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => false,
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_5c5439502ed89',
        'title' => __('Product options', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_5c543957b8471',
                'label' => __('Fact sheet', 'villenoir'),
                'name' => 'gg_product_fact_sheet',
                'aria-label' => '',
                'type' => 'file',
                'instructions' => __('Upload the fact sheet here, preferably in a PDF format.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'url',
                'library' => 'all',
                'min_size' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'product',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => false,
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_5c4f1fb0dab38',
        'title' => __('Taxonomy options', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_5c4f1fcf71657',
                'label' => __('Header image', 'villenoir'),
                'name' => 'gg_taxonomy_header_image',
                'aria-label' => '',
                'type' => 'image',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'url',
                'preview_size' => 'thumbnail',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'taxonomy',
                    'operator' => '==',
                    'value' => 'category',
                ),
            ),
            array(
                array(
                    'param' => 'taxonomy',
                    'operator' => '==',
                    'value' => 'post_tag',
                ),
            ),
            array(
                array(
                    'param' => 'taxonomy',
                    'operator' => '==',
                    'value' => 'product_cat',
                ),
            ),
            array(
                array(
                    'param' => 'taxonomy',
                    'operator' => '==',
                    'value' => 'product_tag',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => false,
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_5596602ed43d1',
        'title' => __('Theme Options', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_55ae13b12020a',
                'label' => __('General', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_617d959c96625',
                'label' => __('Theme style', 'villenoir'),
                'name' => 'gg_theme_style',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'light' => __('Light', 'villenoir'),
                    'dark' => __('Dark', 'villenoir'),
                ),
                'default_value' => 'light',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_55ae1562f4257',
                'label' => __('Site preloader', 'villenoir'),
                'name' => 'gg_site_preloader',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable the site preloader', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_61957d121da2a',
                'label' => __('Site smooth scroll', 'villenoir'),
                'name' => 'gg_site_smooth_scroll',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable the site smooth scroll', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_606e2c66f0554',
                'label' => __('Back to top', 'villenoir'),
                'name' => 'gg_site_back_to_top',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable the back to top feature', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5ff45418a99c2',
                'label' => __('Row spacing', 'villenoir'),
                'name' => 'gg_row_spacing',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Modify the general row spacing throughout the theme. By default each row has a padding top and bottom of 150px. 
    To modify it add the values as follows in px (top/right/bottom/left): 150px 0 150px 0', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '150px 0 150px 0',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_609508dcb9ba8',
                'label' => __('Sticky sidebar', 'villenoir'),
                'name' => 'gg_site_sticky_sidebar',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable the sticky sidebar option', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae15bef4259',
                'label' => __('Logo', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55ae1701a4117',
                'label' => __('Display image logo', 'villenoir'),
                'name' => 'gg_display_image_logo',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Display an image logo instead of the title.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae16161c580',
                'label' => __('Logo image', 'villenoir'),
                'name' => 'gg_logo_image',
                'aria-label' => '',
                'type' => 'image',
                'instructions' => __('Upload the logo image', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'array',
                'preview_size' => 'thumbnail',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
            array(
                'key' => 'field_55ae169ea4115',
                'label' => __('Logo margins', 'villenoir'),
                'name' => 'gg_logo_margins',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the logo margins, if necessary. Eg: 5px 0 0 2px', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_5ba3595a2d4d7',
                'label' => __('Logo max width', 'villenoir'),
                'name' => 'gg_logo_max_width',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the logo max width in px. E.G.: 100px;', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_5ba359ab2d4d8',
                'label' => __('Sticky logo image', 'villenoir'),
                'name' => 'gg_sticky_logo_image',
                'aria-label' => '',
                'type' => 'image',
                'instructions' => __('If you need a different logo when displaying the sticky navigation.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'array',
                'preview_size' => 'thumbnail',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
            array(
                'key' => 'field_5ba37b401b527',
                'label' => __('Sticky logo margins', 'villenoir'),
                'name' => 'gg_sticky_logo_margins',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the logo margins, if necessary. Eg: 5px 0 0 2px', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_5ba37b5d1b528',
                'label' => __('Sticky logo max width', 'villenoir'),
                'name' => 'gg_sticky_logo_max_width',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the logo max width in px. E.G.: 100px;', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_60547edb6a878',
                'label' => __('Mobile logo image', 'villenoir'),
                'name' => 'gg_mobile_logo_image',
                'aria-label' => '',
                'type' => 'image',
                'instructions' => __('If you need a different logo on mobile devices.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'array',
                'preview_size' => 'thumbnail',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
            array(
                'key' => 'field_60547f096a879',
                'label' => __('Mobile logo margins', 'villenoir'),
                'name' => 'gg_mobile_logo_margins',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the logo margins, if necessary. Eg: 5px 0 0 2px', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_60547f216a87a',
                'label' => __('Mobile logo max width', 'villenoir'),
                'name' => 'gg_mobile_logo_max_width',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the logo max width in px. E.G.: 100px;', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae1701a4117',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_55ae186d8b80a',
                'label' => __('Display wp admin image logo', 'villenoir'),
                'name' => 'gg_display_admin_image_logo',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Display a custom image/logo on the wp admin login area.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae18d28b80b',
                'label' => __('WP admin logo image', 'villenoir'),
                'name' => 'gg_admin_logo_image',
                'aria-label' => '',
                'type' => 'image',
                'instructions' => __('Upload the logo image', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae186d8b80a',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'array',
                'preview_size' => 'thumbnail',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
            array(
                'key' => 'field_55ae1d5d599aa',
                'label' => __('Header', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_57be98f3a371e',
                'label' => __('Language menu', 'villenoir'),
                'name' => 'gg_lang_menu',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable lang menu (if WPML or Polylang is installed)', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613a477e58af',
                'label' => __('Header minicart', 'villenoir'),
                'name' => 'gg_header_minicart',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable header minicart (if WooCommerce is installed)', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_6062ea831809b',
                'label' => __('Header my account', 'villenoir'),
                'name' => 'gg_header_my_account',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable header my account(if WooCommerce is installed)', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5885d6b7b6959',
                'label' => __('Header search', 'villenoir'),
                'name' => 'gg_header_search',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable header search', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_63ee0a7897022',
                'label' => __('Header minicart on mobile', 'villenoir'),
                'name' => 'gg_header_minicart_mobile',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable minicart icon next to menu toggle on mobile (if WooCommerce is installed)', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_606e2f761a835',
                'label' => __('Navigation', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_5608f53a557d7',
                'label' => __('Sticky menu', 'villenoir'),
                'name' => 'gg_sticky_menu',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable sticky menu', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae23940e41e',
                'label' => __('Footer', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_56e02eac8db04',
                'label' => __('Footer image', 'villenoir'),
                'name' => 'gg_footer_image',
                'aria-label' => '',
                'type' => 'image',
                'instructions' => __('Insert a footer image.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'array',
                'preview_size' => 'thumbnail',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
            array(
                'key' => 'field_56e02ed48db05',
                'label' => __('Footer text', 'villenoir'),
                'name' => 'gg_footer_text',
                'aria-label' => '',
                'type' => 'textarea',
                'instructions' => __('Insert the footer text', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => '',
                'new_lines' => '',
            ),
            array(
                'key' => 'field_55ae511944ef9',
                'label' => __('Footer widgets', 'villenoir'),
                'name' => 'gg_footer_widgets',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable footer widgets', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae239f0e41f',
                'label' => __('Footer extras', 'villenoir'),
                'name' => 'gg_footer_extras',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable footer extras (copyright).', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae23e30e420',
                'label' => __('Footer Copyright', 'villenoir'),
                'name' => 'gg_footer_extras_copyright',
                'aria-label' => '',
                'type' => 'textarea',
                'instructions' => __('Footer copyright', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae239f0e41f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '&copy; 2021 VILLENOIR. ALL RIGHTS RESERVED',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => 2,
                'new_lines' => 'br',
            ),
            array(
                'key' => 'field_56e02ab38bfa4',
                'label' => __('Footer menu', 'villenoir'),
                'name' => 'gg_footer_extras_menu',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable footer menu', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae239f0e41f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_56e02b2484692',
                'label' => __('Footer social icons', 'villenoir'),
                'name' => 'gg_footer_extras_social',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable footer social icons', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_55ae239f0e41f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae24280e421',
                'label' => __('Comments', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55ae24370e422',
                'label' => __('Page comments', 'villenoir'),
                'name' => 'gg_page_comments',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable comments on all pages.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae24590e423',
                'label' => __('Post comments', 'villenoir'),
                'name' => 'gg_post_comments',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable comments on all posts.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_55ae253671016',
                'label' => __('Social media', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55ae2ea138e91',
                'label' => __('Social icons', 'villenoir'),
                'name' => 'gg_social_icons',
                'aria-label' => '',
                'type' => 'repeater',
                'instructions' => __('These icons are displayed with the help of "Social Icons Widget"', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'collapsed' => '',
                'min' => 0,
                'max' => 0,
                'layout' => 'table',
                'button_label' => __('Add Row', 'villenoir'),
                'sub_fields' => array(
                    array(
                        'key' => 'field_55ae2eb438e92',
                        'label' => __('Name', 'villenoir'),
                        'name' => 'gg_social_icon_name',
                        'aria-label' => '',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                        'parent_repeater' => 'field_55ae2ea138e91',
                    ),
                    array(
                        'key' => 'field_55ae2ed038e93',
                        'label' => __('Icon', 'villenoir'),
                        'name' => 'gg_select_social_icon',
                        'aria-label' => '',
                        'type' => 'select',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'choices' => array(
                            'fa fa-adn' => 'App.net',
                            'fa fa-android' => 'Android',
                            'fa fa-angellist' => 'AngelList',
                            'fa fa-apple' => 'Apple',
                            'fa fa-behance' => 'Behance',
                            'fa fa-behance-square' => 'Behance Square',
                            'fa fa-bitbucket' => 'Bitbucket',
                            'fa fa-bitbucket-square' => 'Bitbucket Square',
                            'fa fa-btc' => 'Bitcoin (BTC)',
                            'fa fa-cc-amex' => 'American Express Credit Card',
                            'fa fa-cc-discover' => 'Discover Credit Card',
                            'fa fa-cc-mastercard' => 'MasterCard Credit Card',
                            'fa fa-cc-paypal' => 'Paypal Credit Card',
                            'fa fa-cc-stripe' => 'Stripe Credit Card',
                            'fa fa-cc-visa' => 'Visa Credit Card',
                            'fa fa-codepen' => 'Codepen',
                            'fa fa-css3' => 'CSS 3 Logo',
                            'fa fa-delicious' => 'Delicious Logo',
                            'fa fa-deviantart' => 'deviantART',
                            'fa fa-digg' => 'Digg Logo',
                            'fa fa-dribbble' => 'Dribbble',
                            'fa fa-dropbox' => 'Dropbox',
                            'fa fa-drupal' => 'Drupal Logo',
                            'fa fa-empire' => 'Galactic Empire',
                            'fa fa-facebook' => 'Facebook',
                            'fa fa-facebook-square' => 'Facebook Square',
                            'fa fa-flickr' => 'Flickr',
                            'fa fa-foursquare' => 'Foursquare',
                            'fa fa-git' => 'Git',
                            'fa fa-git-square' => 'Git Square',
                            'fa fa-github' => 'GitHub',
                            'fa fa-github-alt' => 'GitHub Alt',
                            'fa fa-github-square' => 'GitHub Square',
                            'fa fa-gittip' => 'Gittip',
                            'fa fa-google' => 'Google Logo',
                            'fa fa-google-plus' => 'Google Plus',
                            'fa fa-google-plus-square' => 'Google Plus Square',
                            'fa fa-google-wallet' => 'Goole Wallet',
                            'fa fa-hacker-news' => 'Hacker News',
                            'fa fa-html5' => 'HTML 5 Logo',
                            'fa fa-instagram' => 'Instagram',
                            'fa fa-ioxhost' => 'ioxhost',
                            'fa fa-joomla' => 'Joomla Logo',
                            'fa fa-jsfiddle' => 'jsFiddle',
                            'fa fa-lastfm' => 'last.fm',
                            'fa fa-lastfm-square' => 'last.fm Square',
                            'fa fa-linkedin' => 'LinkedIn',
                            'fa fa-linkedin-square' => 'LinkedIn Square',
                            'fa fa-linux' => 'Linux',
                            'fa fa-maxcdn' => 'MaxCDN',
                            'fa fa-meanpath' => 'meanpath',
                            'fa fa-openid' => 'OpenID',
                            'fa fa-pagelines' => 'Pagelines',
                            'fa fa-paypal' => 'Paypal',
                            'fa fa-pied-piper' => 'Pied Piper Logo',
                            'fa fa-pied-piper-alt' => 'Pied Piper Alternate Logo',
                            'fa fa-pinterest' => 'Pinterest',
                            'fa fa-pinterest-square' => 'Pinterest Square',
                            'fa fa-qq' => 'QQ',
                            'fa fa-rebel' => 'Rebel Alliance',
                            'fa fa-reddit' => 'reddit Logo',
                            'fa fa-reddit-square' => 'reddit Square',
                            'fa fa-renren' => 'Renren',
                            'fa fa-share-alt' => 'Share Alt',
                            'fa fa-share-alt-square' => 'Share Alt Square',
                            'fa fa-skype' => 'Skype',
                            'fa fa-slack' => 'Slack Logo',
                            'fa fa-slideshare' => 'Slideshare',
                            'fa fa-soundcloud' => 'SoundCloud',
                            'fa fa-spotify' => 'Spotify',
                            'fa fa-stack-exchange' => 'Stack Exchange',
                            'fa fa-stack-overflow' => 'Stack Overflow',
                            'fa fa-steam' => 'Steam',
                            'fa fa-steam-square' => 'Steam Square',
                            'fa fa-stumbleupon' => 'StumbleUpon Logo',
                            'fa fa-stumbleupon-circle' => 'StumbleUpon Circle',
                            'fa fa-tencent-weibo' => 'Tencent Weibo',
                            'fa fa-trello' => 'Trello',
                            'fa fa-tumblr' => 'Tumblr',
                            'fa fa-tumblr-square' => 'Tumblr Square',
                            'fa fa-twitch' => 'Twitch',
                            'fa fa-twitter' => 'Twitter',
                            'fa fa-twitter-square' => 'Twitter Square',
                            'fa fa-vimeo-square' => 'Vimeo Square',
                            'fa fa-vine' => 'Vine',
                            'fa fa-vk' => 'VK',
                            'fa fa-weibo' => 'Weibo',
                            'fa fa-weixin' => 'Weixin (WeChat)',
                            'fa fa-windows' => 'Windows',
                            'fa fa-wordpress' => 'Wordpress Logo',
                            'fa fa-xing' => 'Xing',
                            'fa fa-xing-square' => 'Xing Square',
                            'fa fa-yahoo' => 'Yahoo Logo',
                            'fa fa-yelp' => 'Yelp',
                            'fa fa-youtube' => 'YouTube',
                            'fa fa-youtube-play' => 'YouTube Play',
                            'fa fa-youtube-square' => 'YouTube Square',
                        ),
                        'default_value' => false,
                        'allow_null' => 0,
                        'multiple' => 0,
                        'ui' => 0,
                        'return_format' => 'value',
                        'ajax' => 0,
                        'placeholder' => '',
                        'parent_repeater' => 'field_55ae2ea138e91',
                    ),
                    array(
                        'key' => 'field_55ae2ee638e94',
                        'label' => __('Link', 'villenoir'),
                        'name' => 'gg_social_icon_link',
                        'aria-label' => '',
                        'type' => 'url',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'parent_repeater' => 'field_55ae2ea138e91',
                    ),
                ),
                'rows_per_page' => 20,
            ),
            array(
                'key' => 'field_55ae13a120209',
                'label' => __('Sidebars', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_5596604147ece',
                'label' => __('Sidebar options', 'villenoir'),
                'name' => 'gg_sidebars',
                'aria-label' => '',
                'type' => 'repeater',
                'instructions' => __('Create a custom sidebar to use on pages or posts. Then go to Appearance >> Widgets to add widgets.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'collapsed' => '',
                'min' => 0,
                'max' => 0,
                'layout' => 'row',
                'button_label' => __('Add Sidebar', 'villenoir'),
                'sub_fields' => array(
                    array(
                        'key' => 'field_5596607347ecf',
                        'label' => __('Sidebar name', 'villenoir'),
                        'name' => 'gg_sidebar_name',
                        'aria-label' => '',
                        'type' => 'text',
                        'instructions' => '',
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                        'parent_repeater' => 'field_5596604147ece',
                    ),
                ),
                'rows_per_page' => 20,
            ),
            array(
                'key' => 'field_5ba255d84fd01',
                'label' => __('API', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_5ba2560b4fd02',
                'label' => __('Google API key', 'villenoir'),
                'name' => 'gg_google_api_key',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Add your Google API key here', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_55ae256271017',
                'label' => __('Fonts', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55ae488439030',
                'label' => __('Headings font', 'villenoir'),
                'name' => 'gg_headings_font',
                'aria-label' => '',
                'type' => 'google_font_selector',
                'instructions' => __('Select the theme font. Default: Playfair Display', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'include_web_safe_fonts' => 1,
                'enqueue_font' => 1,
                'default_font' => 'Playfair Display',
            ),
            array(
                'key' => 'field_55d2f67f05559',
                'label' => __('Body font', 'villenoir'),
                'name' => 'gg_body_font',
                'aria-label' => '',
                'type' => 'google_font_selector',
                'instructions' => __('Select the theme font. Default: Lato', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'include_web_safe_fonts' => 1,
                'enqueue_font' => 1,
                'default_font' => 'Lato',
            ),
            array(
                'key' => 'field_55ae25eb2fbac',
                'label' => __('Colors', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55b0e470292f2',
                'label' => __('Text colors', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Modify the default text colors', 'villenoir'),
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_55b0e601907ba',
                'label' => __('Text body color', 'villenoir'),
                'name' => 'gg_text_body_color',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #000000', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'light',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#000000',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_618cec19a9abb',
                'label' => __('Text body color', 'villenoir'),
                'name' => 'gg_text_body_color_dark',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #ffffff', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'dark',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#ffffff',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_55b0e65d11068',
                'label' => __('Headings color', 'villenoir'),
                'name' => 'gg_headings_color',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #000000', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'light',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#000000',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_618cec45a9abc',
                'label' => __('Headings color', 'villenoir'),
                'name' => 'gg_headings_color_dark',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #ffffff', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'dark',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#ffffff',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_55b0e72311069',
                'label' => __('Link and elements color', 'villenoir'),
                'name' => 'gg_link_color',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #b0976d', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'light',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#b0976d',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_618cec6da9abd',
                'label' => __('Link and elements color', 'villenoir'),
                'name' => 'gg_link_color_dark',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #b0976d', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'dark',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#b0976d',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_55b0e5e3907b9',
                'label' => __('Elements color', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Modify the default elements color. 
    Affects: elements with background color, like footer, badges, menu, buttons, etc', 'villenoir'),
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_55b0f17e116ef',
                'label' => __('Primary color', 'villenoir'),
                'name' => 'gg_primary_color',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #121212', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'light',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#121212',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_618cec91a9abe',
                'label' => __('Primary color', 'villenoir'),
                'name' => 'gg_primary_color_dark',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #121212', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'dark',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#121212',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_573f25d0eb78f',
                'label' => __('Primary color alt', 'villenoir'),
                'name' => 'gg_primary_color_alt',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #000000', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'light',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#000000',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_618cecafa9abf',
                'label' => __('Primary color alt', 'villenoir'),
                'name' => 'gg_primary_color_alt_dark',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #000000', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'dark',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#000000',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_618cee5cf029f',
                'label' => __('Modules color', 'villenoir'),
                'name' => 'gg_modules_color',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #f2f2f2', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'light',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#f2f2f2',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_618cee8df02a0',
                'label' => __('Modules color', 'villenoir'),
                'name' => 'gg_modules_color_dark',
                'aria-label' => '',
                'type' => 'color_picker',
                'instructions' => __('Default value: #121212', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_617d959c96625',
                            'operator' => '==',
                            'value' => 'dark',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '#121212',
                'enable_opacity' => 0,
                'return_format' => 'string',
            ),
            array(
                'key' => 'field_55ae258271018',
                'label' => __('Page templates', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55b12f77bbf75',
                'label' => __('Search page', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Select the layout of the search page.', 'villenoir'),
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_55b12f90bbf76',
                'label' => __('Search page layout', 'villenoir'),
                'name' => 'gg_search_page_layout',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'with_left_sidebar' => __('With left sidebar', 'villenoir'),
                    'with_right_sidebar' => __('With right sidebar', 'villenoir'),
                    'no_sidebar' => __('No sidebar', 'villenoir'),
                ),
                'default_value' => 'with_left_sidebar',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_55b1fc9e637e3',
                'label' => __('404 page', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Set the options for the 404 error page.', 'villenoir'),
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_55b1fcba637e4',
                'label' => __('Error page title', 'villenoir'),
                'name' => 'gg_error_page_title',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Set the page title', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '404 Error',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_55b1fcf2637e5',
                'label' => __('Error page description', 'villenoir'),
                'name' => 'gg_error_page_description',
                'aria-label' => '',
                'type' => 'textarea',
                'instructions' => __('Set a message', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'It seems we can\'t find what you\'re looking for. Perhaps searching can help.',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => '',
                'new_lines' => '',
            ),
            array(
                'key' => 'field_55b1fe58f8dee',
                'label' => __('Category/Archive page', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Select the layout of the posts category/archive page.', 'villenoir'),
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_55b1fe77f8def',
                'label' => __('Page layout', 'villenoir'),
                'name' => 'gg_cat_page_layout',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'with_left_sidebar' => __('With left sidebar', 'villenoir'),
                    'with_right_sidebar' => __('With right sidebar', 'villenoir'),
                    'no_sidebar' => __('No sidebar', 'villenoir'),
                ),
                'default_value' => 'with_left_sidebar',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_55ae234a0e41c',
                'label' => __('Custom CSS', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55ae23560e41d',
                'label' => __('CSS', 'villenoir'),
                'name' => 'gg_css',
                'aria-label' => '',
                'type' => 'textarea',
                'instructions' => __('Your custom CSS goes here. Do not include the style tag. This is already done for you.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => '',
                'new_lines' => '',
            ),
            array(
                'key' => 'field_55ae22d40e41a',
                'label' => __('Custom scripts', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55ae22e10e41b',
                'label' => __('JS', 'villenoir'),
                'name' => 'gg_script',
                'aria-label' => '',
                'type' => 'textarea',
                'instructions' => __('Add custom footer scripts such as Google Analytics.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => '',
                'new_lines' => '',
            ),
            array(
                'key' => 'field_56138d8a5c1d8',
                'label' => __('Store', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'left',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_56ab62e3bf028',
                'label' => __('Activate product image sizes', 'villenoir'),
                'name' => 'gg_activate_product_image_sizes',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Check this to activate the inputs for image size change from WooCommerce >> Settings >> Products >> Display', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_56138d965c1d9',
                'label' => __('Catalog mode', 'villenoir'),
                'name' => 'gg_store_catalog_mode',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable catalog mode. This will disable: add to cart, checkout and buy functions.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_57bea35e9cc82',
                'label' => __('Store custom fields', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Custom fields options', 'villenoir'),
                'new_lines' => '',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_57bea3ac9cc83',
                'label' => __('Year field', 'villenoir'),
                'name' => 'gg_store_year_field',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Show/hide the Year field on frontend', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_599ed005e0b9a',
                'label' => __('Year field label', 'villenoir'),
                'name' => 'gg_store_year_field_label',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the label', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_57bea3ac9cc83',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'Year',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_57bea3dc9cc85',
                'label' => __('Bottle size field', 'villenoir'),
                'name' => 'gg_store_bottle_size_field',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Show/hide the Bottle size field on frontend', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_599ed03be0b9b',
                'label' => __('Bottle size field label', 'villenoir'),
                'name' => 'gg_store_bottle_size_field_label',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the label', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_57bea3dc9cc85',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'Bottle size',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_56138df55c1da',
                'label' => __('Shop page options', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Shop page options', 'villenoir'),
                'new_lines' => '',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_56138f1c5c1db',
                'label' => __('Shop columns', 'villenoir'),
                'name' => 'gg_shop_product_columns',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the shop page number of columns', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    2 => __('2', 'villenoir'),
                    3 => __('3', 'villenoir'),
                    4 => __('4', 'villenoir'),
                ),
                'default_value' => 3,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_56f4f86445bf8',
                'label' => __('Shop style', 'villenoir'),
                'name' => 'gg_shop_product_style',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the shop style', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'style1' => __('Style 1', 'villenoir'),
                    'style2' => __('Style 2', 'villenoir'),
                    'style3' => __('Style 3', 'villenoir'),
                    'style4' => __('Style 4', 'villenoir'),
                    'style5' => __('Style 5', 'villenoir'),
                    'style6' => __('Style 6', 'villenoir'),
                ),
                'default_value' => 'Style 1',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_56138f535c1dc',
                'label' => __('Products per page', 'villenoir'),
                'name' => 'gg_product_per_page',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the number of products to display until pagination kicks is', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 12,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_5613901b5c1dd',
                'label' => __('Products sale flash', 'villenoir'),
                'name' => 'gg_store_sale_flash',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable sale flash on products.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_561390b438a60',
                'label' => __('Products price', 'villenoir'),
                'name' => 'gg_store_products_price',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable products price.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613910138a61',
                'label' => __('Add to cart button', 'villenoir'),
                'name' => 'gg_store_add_to_cart',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable add to cart button', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613914738a62',
                'label' => __('Product page options', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Product page options', 'villenoir'),
                'new_lines' => '',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_5613916938a63',
                'label' => __('Product sale flash', 'villenoir'),
                'name' => 'gg_product_sale_flash',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable sale flash on product', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_561391a238a64',
                'label' => __('Product price', 'villenoir'),
                'name' => 'gg_product_products_price',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable product price', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_561391d138a65',
                'label' => __('Product short description', 'villenoir'),
                'name' => 'gg_product_products_excerpt',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable product short description', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613920038a66',
                'label' => __('Product meta', 'villenoir'),
                'name' => 'gg_product_products_meta',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable product meta (sku, category, tag)', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613922d38a67',
                'label' => __('Product add to cart button', 'villenoir'),
                'name' => 'gg_product_add_to_cart',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable product add to cart button', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613925238a68',
                'label' => __('Related products', 'villenoir'),
                'name' => 'gg_product_related_products',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable Related products', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613927438a69',
                'label' => __('Up Sells products', 'villenoir'),
                'name' => 'gg_product_upsells_products',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable Up Sells products', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613929938a6a',
                'label' => __('Reviews tab', 'villenoir'),
                'name' => 'gg_product_reviews_tab',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable reviews tab', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_561392b938a6b',
                'label' => __('Description tab', 'villenoir'),
                'name' => 'gg_product_description_tab',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable description tab', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_561392e538a6c',
                'label' => __('Additional information tab', 'villenoir'),
                'name' => 'gg_product_attributes_tab',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable additional information tab', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5613930338a6d',
                'label' => __('Cart page options', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Cart page options', 'villenoir'),
                'new_lines' => '',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_5613931c38a6e',
                'label' => __('Cross Sells products', 'villenoir'),
                'name' => 'gg_product_crosssells_products',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable Cross Sells products', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_606e30980cc8a',
                'label' => __('Developer', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_606e30ac0cc8b',
                'label' => __('ACF admin tab', 'villenoir'),
                'name' => 'gg_acf_admin_tab',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Enable/Disable the ACF admin tab', 'villenoir'),
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'options_page',
                    'operator' => '==',
                    'value' => 'theme-options',
                ),
            ),
        ),
        'menu_order' => 0,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => 0,
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_546ef5e7380c4',
        'title' => __('Blog Options', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_546ef5ea14c14',
                'label' => __('Blog layout', 'villenoir'),
                'name' => 'gg_blog_layout',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the blog layout', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'fitRows' => __('Grid Fit rows', 'villenoir'),
                    'masonry' => __('Grid Masonry', 'villenoir'),
                ),
                'default_value' => 'fitRows',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_546f0a785014f',
                'label' => __('Blog layout style', 'villenoir'),
                'name' => 'gg_blog_layout_style',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the blog layout style', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_546ef5ea14c14',
                            'operator' => '==',
                            'value' => 'masonry',
                        ),
                    ),
                    array(
                        array(
                            'field' => 'field_546ef5ea14c14',
                            'operator' => '==',
                            'value' => 'fitRows',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'gap' => __('Gap', 'villenoir'),
                    'nogap' => __('No Gap', 'villenoir'),
                ),
                'default_value' => 'gap',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_546f0aff3a532',
                'label' => __('Blog columns', 'villenoir'),
                'name' => 'gg_blog_columns',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the number of columns', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_546ef5ea14c14',
                            'operator' => '==',
                            'value' => 'fitRows',
                        ),
                    ),
                    array(
                        array(
                            'field' => 'field_546ef5ea14c14',
                            'operator' => '==',
                            'value' => 'masonry',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    1 => __('1', 'villenoir'),
                    2 => __('2', 'villenoir'),
                    3 => __('3', 'villenoir'),
                ),
                'default_value' => 1,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_54bfb061ff824',
                'label' => __('Number of posts to show', 'villenoir'),
                'name' => 'gg_blog_no_of_posts_to_show',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the number of blog posts to show', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 5,
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_54eedbbefea3b',
                'label' => __('Blog pagination', 'villenoir'),
                'name' => 'gg_blog_pagination',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the blog pagination', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'numbered' => __('Numbered pagination', 'villenoir'),
                    'ajax_load' => __('Ajax load more pagination', 'villenoir'),
                ),
                'default_value' => 'numbered',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'page_type',
                    'operator' => '==',
                    'value' => 'posts_page',
                ),
            ),
            array(
                array(
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'theme-templates/blog.php',
                ),
            ),
        ),
        'menu_order' => 2,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => false,
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_546f25c33193d',
        'title' => __('Post Options', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_5c507202a942d',
                'label' => __('General', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_546f25d44af1e',
                'label' => __('Social share', 'villenoir'),
                'name' => 'gg_post_social_share',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable social share on post', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_54bfb0c1e5f56',
                'label' => __('Post navigation', 'villenoir'),
                'name' => 'gg_post_navigation',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable the posts navigation', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5c5184bc378d4',
                'label' => __('Post header', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_5c595adc81ab8',
                'label' => __('Post header', 'villenoir'),
                'name' => 'gg_page_header',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Enable/Disable page header.', 'villenoir'),
                'default_value' => 1,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5c5184d1378d5',
                'label' => __('Post breadcrumbs', 'villenoir'),
                'name' => 'gg_page_breadcrumbs',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/Disable page breadcrumbs', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5c595adc81ab8',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5c518507378d6',
                'label' => __('Post featured image', 'villenoir'),
                'name' => 'gg_post_featured_image',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Display post feature image in post body or in post header', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'post_body' => __('Post body', 'villenoir'),
                    'post_header' => __('Post header', 'villenoir'),
                    'both' => __('Both post header and body', 'villenoir'),
                ),
                'default_value' => 'post_body',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_5c5070ee0ded1',
                'label' => __('Header slideshow', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_5c5071010ded2',
                'label' => __('Header slideshow info', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('You can display a Revolution Slider in the theme header, under the menu.', 'villenoir'),
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_5c50712e0ded3',
                'label' => __('Page header slideshow', 'villenoir'),
                'name' => 'gg_page_header_slider',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable page slideshow', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5c5071570ded4',
                'label' => __('Slideshow', 'villenoir'),
                'name' => 'gg_page_header_slider_select',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the slideshow', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5c50712e0ded3',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'web-product-dark' => 'web-product-dark',
                    'main-slideshow' => 'main-slideshow',
                    'finedining' => 'finedining',
                    'secondary-slideshow' => 'secondary-slideshow',
                    'coffee-flavours' => 'coffee-flavours',
                    'coffee-shop-split-screen-slider' => 'coffee-shop-split-screen-slider',
                ),
                'default_value' => false,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_5c5071830ded5',
                'label' => __('Slideshow position', 'villenoir'),
                'name' => 'gg_page_header_slider_position',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the slider position', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5c50712e0ded3',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'under_header' => __('Under the header', 'villenoir'),
                    'beneath_header' => __('Beneath the header', 'villenoir'),
                ),
                'default_value' => 'under_header',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'post_type',
                    'operator' => '==',
                    'value' => 'post',
                ),
            ),
        ),
        'menu_order' => 2,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => false,
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_5464cf5f3e820',
        'title' => __('Page Options', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_55a7b72d264bc',
                'label' => __('Header', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_5464cfec33375',
                'label' => __('Page header', 'villenoir'),
                'name' => 'gg_page_header',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Enable/Disable page header.', 'villenoir'),
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_56ebe432b6184',
                'label' => __('Page header style', 'villenoir'),
                'name' => 'gg_page_header_style',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5464cfec33375',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'style1' => __('Style 1', 'villenoir'),
                    'style2' => __('Style 2', 'villenoir'),
                    'style3' => __('Style 3', 'villenoir'),
                    'style4' => __('Style 4', 'villenoir'),
                ),
                'default_value' => 'Style 1',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_606249e31f9d2',
                'label' => __('Transparent header', 'villenoir'),
                'name' => 'gg_transparent_header',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('This option is available only for header style 4. Make sure you also have a featured image active.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_56ebe432b6184',
                            'operator' => '==',
                            'value' => 'style4',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Make the header transparent and position it on top of the header image.', 'villenoir'),
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => __('Yes', 'villenoir'),
                'ui_off_text' => __('No', 'villenoir'),
            ),
            array(
                'key' => 'field_5549e6f6d39ee',
                'label' => __('Page breadcrumbs', 'villenoir'),
                'name' => 'gg_page_breadcrumbs',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5464cfec33375',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Enable/Disable page breadcrumbs', 'villenoir'),
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5464d01033376',
                'label' => __('Page title', 'villenoir'),
                'name' => 'gg_page_title',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5464cfec33375',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Enable/Disable page title.', 'villenoir'),
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_619acd8e9fb72',
                'label' => __('Page header image parallax', 'villenoir'),
                'name' => 'gg_page_header_parallax',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Note: A featured image must be available.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5464cfec33375',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '33',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('Enable/Disable page header parallax.', 'villenoir'),
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_56e81eabc9f18',
                'label' => __('Page subtitle', 'villenoir'),
                'name' => 'gg_page_subtitle',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the page subtitle', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5464cfec33375',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_5464d02f33377',
                'label' => __('Page description', 'villenoir'),
                'name' => 'gg_page_description',
                'aria-label' => '',
                'type' => 'textarea',
                'instructions' => __('Insert your page short description here.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5464cfec33375',
                            'operator' => '==',
                            'value' => '1',
                        ),
                        array(
                            'field' => 'field_5464cfec33375',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => '',
                'new_lines' => 'wpautop',
            ),
            array(
                'key' => 'field_55a7b764264bd',
                'label' => __('Header Slideshow', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_55cb13fa97ee2',
                'label' => __('Header slideshow info', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'message',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => __('You can display a Revolution Slider in the theme header, under the menu.', 'villenoir'),
                'new_lines' => 'wpautop',
                'esc_html' => 0,
            ),
            array(
                'key' => 'field_54af910f75f0e',
                'label' => __('Page header slideshow', 'villenoir'),
                'name' => 'gg_page_header_slider',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable page slideshow', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_54af96c4857a4',
                'label' => __('Slideshow', 'villenoir'),
                'name' => 'gg_page_header_slider_select',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the slideshow', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_54af910f75f0e',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'web-product-dark' => 'web-product-dark',
                    'main-slideshow' => 'main-slideshow',
                    'finedining' => 'finedining',
                    'secondary-slideshow' => 'secondary-slideshow',
                    'coffee-flavours' => 'coffee-flavours',
                    'coffee-shop-split-screen-slider' => 'coffee-shop-split-screen-slider',
                ),
                'default_value' => false,
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_560a740244924',
                'label' => __('Slideshow position', 'villenoir'),
                'name' => 'gg_page_header_slider_position',
                'aria-label' => '',
                'type' => 'select',
                'instructions' => __('Select the slider position', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_54af910f75f0e',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'choices' => array(
                    'under_header' => __('Under the header', 'villenoir'),
                    'beneath_header' => __('Beneath the header', 'villenoir'),
                ),
                'default_value' => 'under_header',
                'allow_null' => 0,
                'multiple' => 0,
                'ui' => 0,
                'return_format' => 'value',
                'ajax' => 0,
                'placeholder' => '',
            ),
            array(
                'key' => 'field_5600f8434100f',
                'label' => __('Page background', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_5600f8024100e',
                'label' => __('Background', 'villenoir'),
                'name' => 'gg_page_background',
                'aria-label' => '',
                'type' => 'image',
                'instructions' => __('Upload an image background', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'return_format' => 'url',
                'preview_size' => 'thumbnail',
                'library' => 'all',
                'min_width' => '',
                'min_height' => '',
                'min_size' => '',
                'max_width' => '',
                'max_height' => '',
                'max_size' => '',
                'mime_types' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'default',
                ),
            ),
            array(
                array(
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'theme-templates/blog.php',
                ),
            ),
            array(
                array(
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'default',
                ),
            ),
            array(
                array(
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'theme-templates/contact.php',
                ),
            ),
        ),
        'menu_order' => 4,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => false,
    ));
    
    acf_add_local_field_group(array(
        'key' => 'group_545fd8502b9c3',
        'title' => __('Contact Page Options', 'villenoir'),
        'fields' => array(
            array(
                'key' => 'field_55ae082dc8bbc',
                'label' => __('Address', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_56f25f582e6ad',
                'label' => __('Show map', 'villenoir'),
                'name' => 'gg_contact_show_map',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Show/hide map', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_552fa792bf02c',
                'label' => __('Addresses', 'villenoir'),
                'name' => 'gg_contact_addresses',
                'aria-label' => '',
                'type' => 'repeater',
                'instructions' => __('If your business has more addresses you can add them here.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_56f25f582e6ad',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'collapsed' => 'field_552fb42cd9258',
                'min' => 0,
                'max' => 0,
                'layout' => 'block',
                'button_label' => __('Add Address', 'villenoir'),
                'sub_fields' => array(
                    array(
                        'key' => 'field_552fb42cd9258',
                        'label' => __('Latitude', 'villenoir'),
                        'name' => 'gg_contact_map_latitude',
                        'aria-label' => '',
                        'type' => 'text',
                        'instructions' => __('Enter the latitude value of your location in this format 51.13456
    Latitude value is the first string (before comma) of google map address. E.G.: 51.13456, -1.34333', 'villenoir'),
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '50',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                        'parent_repeater' => 'field_552fa792bf02c',
                    ),
                    array(
                        'key' => 'field_552fb45fd9259',
                        'label' => __('Longitude', 'villenoir'),
                        'name' => 'gg_contact_map_longitude',
                        'aria-label' => '',
                        'type' => 'text',
                        'instructions' => __('Enter the longitude value of your location in this format -1.34333
    Latitude value is the second string (after comma) of google map address. E.G.: 51.13456, -1.34333', 'villenoir'),
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '50',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                        'parent_repeater' => 'field_552fa792bf02c',
                    ),
                    array(
                        'key' => 'field_552fb5a4ea9b3',
                        'label' => __('Zoom', 'villenoir'),
                        'name' => 'gg_contact_map_zoom',
                        'aria-label' => '',
                        'type' => 'text',
                        'instructions' => __('Insert the zoom factor. Default: 10', 'villenoir'),
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => 10,
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                        'parent_repeater' => 'field_552fa792bf02c',
                    ),
                    array(
                        'key' => 'field_552fb49ed925b',
                        'label' => __('InfoWindow', 'villenoir'),
                        'name' => 'gg_contact_map_infowindow',
                        'aria-label' => '',
                        'type' => 'textarea',
                        'instructions' => __('Insert your address details. Will appear after you click on the marker icon.', 'villenoir'),
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'maxlength' => '',
                        'rows' => '',
                        'new_lines' => 'br',
                        'parent_repeater' => 'field_552fa792bf02c',
                    ),
                    array(
                        'key' => 'field_5885c07d3c792',
                        'label' => __('Switch menu title', 'villenoir'),
                        'name' => 'gg_contact_map_menu_title',
                        'aria-label' => '',
                        'type' => 'text',
                        'instructions' => __('Insert here the link title for the menu. If you have more than 1 location a map menu will appear helping you to switch between locations.', 'villenoir'),
                        'required' => 0,
                        'conditional_logic' => 0,
                        'wrapper' => array(
                            'width' => '',
                            'class' => '',
                            'id' => '',
                        ),
                        'wpml_cf_preferences' => 1,
                        'default_value' => '',
                        'placeholder' => '',
                        'prepend' => '',
                        'append' => '',
                        'maxlength' => '',
                        'parent_repeater' => 'field_552fa792bf02c',
                    ),
                ),
                'rows_per_page' => 20,
            ),
            array(
                'key' => 'field_546dcd2bd9317',
                'label' => __('Contact form', 'villenoir'),
                'name' => '',
                'aria-label' => '',
                'type' => 'tab',
                'instructions' => '',
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'placement' => 'top',
                'endpoint' => 0,
            ),
            array(
                'key' => 'field_545fd8677d64f',
                'label' => __('Contact form', 'villenoir'),
                'name' => 'gg_contact_form',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Enable/disable contact form. Default: true', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 1,
                'ui' => 1,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_552fcae4de0cb',
                'label' => __('Description', 'villenoir'),
                'name' => 'gg_contact_form_description',
                'aria-label' => '',
                'type' => 'textarea',
                'instructions' => __('Describe your contact form.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_545fd8677d64f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'maxlength' => '',
                'rows' => '',
                'new_lines' => '',
            ),
            array(
                'key' => 'field_545fd9b10cb74',
                'label' => __('Email address', 'villenoir'),
                'name' => 'gg_contact_page_email',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Enter your email address. On this address you will receive the emails from this contact form. If the email is not set it defaults to the admin email from Settings >> General.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_545fd8677d64f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => '',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_546de0476002b',
                'label' => __('From: Email address', 'villenoir'),
                'name' => 'gg_contact_page_email_from',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Enter the FROM email address. E.G.: noreply@yoursitename.com', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_545fd8677d64f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'noreply@yoursitename.com',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_545fda0b7c2ec',
                'label' => __('Success text', 'villenoir'),
                'name' => 'gg_contact_page_success_msg',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Enter the success message that will be displayed on successful email delivery.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_545fd8677d64f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'Your message was sent successfully.',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_545fda6446ed5',
                'label' => __('Error text', 'villenoir'),
                'name' => 'gg_contact_page_error_msg',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Enter the error message that will be displayed on	email delivery failure.', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_545fd8677d64f',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'There was an error submitting the form.',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
            array(
                'key' => 'field_5ba344667ed9e',
                'label' => __('Privacy Checkbox', 'villenoir'),
                'name' => 'gg_contact_page_privacy_checkbox',
                'aria-label' => '',
                'type' => 'true_false',
                'instructions' => __('Add a privacy checkbox on the contact page', 'villenoir'),
                'required' => 0,
                'conditional_logic' => 0,
                'wrapper' => array(
                    'width' => '',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'message' => '',
                'default_value' => 0,
                'ui' => 0,
                'ui_on_text' => '',
                'ui_off_text' => '',
            ),
            array(
                'key' => 'field_5ba344ee7ed9f',
                'label' => __('Checkbox label', 'villenoir'),
                'name' => 'gg_contact_page_privacy_checkbox_label',
                'aria-label' => '',
                'type' => 'wysiwyg',
                'instructions' => __('Insert the checkbox label. E.G.: Check here to indicate that you have read and agree to the terms of the Privacy Policy', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5ba344667ed9e',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'Check here to indicate that you have read and agree to the terms of the Privacy Policy',
                'tabs' => 'all',
                'toolbar' => 'basic',
                'media_upload' => 0,
                'delay' => 0,
            ),
            array(
                'key' => 'field_5ba345517eda0',
                'label' => __('Checkbox error message', 'villenoir'),
                'name' => 'gg_contact_page_privacy_checkbox_error_message',
                'aria-label' => '',
                'type' => 'text',
                'instructions' => __('Insert the not checked error message. E.G.: You have to agree with the Privacy Policy in order to send this form', 'villenoir'),
                'required' => 0,
                'conditional_logic' => array(
                    array(
                        array(
                            'field' => 'field_5ba344667ed9e',
                            'operator' => '==',
                            'value' => '1',
                        ),
                    ),
                ),
                'wrapper' => array(
                    'width' => '50',
                    'class' => '',
                    'id' => '',
                ),
                'wpml_cf_preferences' => 1,
                'default_value' => 'You have to agree with the Privacy Policy in order to send this form',
                'placeholder' => '',
                'prepend' => '',
                'append' => '',
                'maxlength' => '',
            ),
        ),
        'location' => array(
            array(
                array(
                    'param' => 'page_template',
                    'operator' => '==',
                    'value' => 'theme-templates/contact.php',
                ),
            ),
        ),
        'menu_order' => 30,
        'position' => 'normal',
        'style' => 'default',
        'label_placement' => 'top',
        'instruction_placement' => 'label',
        'hide_on_screen' => '',
        'active' => true,
        'description' => '',
        'show_in_rest' => false,
    ));
    
    endif;		